"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea34c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3600>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3560>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea36a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3740>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea37e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3880>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3920>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea39c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3a60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3b00>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3ba0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3c40>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3ce0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3d80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3e20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3ec0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692ea3f60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00040>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f000e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00180>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00220>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f002c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00360>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00400>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f004a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00540>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f005e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00680>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00720>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f007c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00860>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00900>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f009a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00a40>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00ae0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00b80>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00c20>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00cc0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00d60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00e00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00ea0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00f40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f00fe0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01080>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01120>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f011c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01260>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01300>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f013a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01440>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f014e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01580>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01620>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f016c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01760>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01800>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f018a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01940>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f019e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01a80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01b20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01bc0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01c60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01d00>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01da0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01e40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01ee0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f01f80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02020>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f020c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02160>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02200>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f022a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02340>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f023e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02480>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02520>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f025c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02700>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02660>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f027a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02840>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f028e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe692f02980>)]
name: str = 'fr_HOCCN'
